Skip to main content
GET
/
v2
/
suppliers
Query Suppliers
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/suppliers \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "totalItems": 123,
  "pageNumber": 123,
  "pageSize": 123,
  "items": [
    {
      "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "name": "<string>",
      "type": "<string>",
      "supplierNo": "<string>",
      "internalCustomerId": "<string>",
      "languageISO": "<string>",
      "formOfAddress": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "company": "<string>",
      "company2": "<string>",
      "contact": "<string>",
      "street": "<string>",
      "address2": "<string>",
      "postalCode": "<string>",
      "city": "<string>",
      "state": "<string>",
      "countryIso": "<string>",
      "phone": "<string>",
      "phoneExtension": "<string>",
      "fax": "<string>",
      "email": "<string>",
      "website": "<string>",
      "comment": "<string>",
      "vatID": "<string>",
      "status": "<string>",
      "lastChangedDate": "2023-11-07T05:31:56Z"
    }
  ],
  "totalPages": 123,
  "hasPreviousPage": true,
  "hasNextPage": true,
  "nextPageNumber": 123,
  "previousPageNumber": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

lastChangedSince
string<date-time>

All suppliers where the last change happened after or equal the given time.

lastChangedUntil
string<date-time>

All suppliers where the last change happened before or equal the given time.

pageNumber
integer<int32>

Number of the page of items to fetch.

pageSize
integer<int32>

Size of the page that is specified by pageNumber.

Response

Returns all suppliers.

Represents a paginated list of items

totalItems
integer<int32>

Gets or sets the total number of items available in the data source.

pageNumber
integer<int32>

Gets or sets the current page number in the paginated list.

pageSize
integer<int32>

Gets or sets the number of items per page in the paginated list.

items
object[]

Gets or sets the collection of items contained in the paged list.

totalPages
integer<int32>

Gets the total number of pages based on the total number of items and the page size.

hasPreviousPage
boolean

Gets a value indicating whether there is a previous page available in the paginated list.

hasNextPage
boolean

Gets a value indicating whether there is a next page available.

nextPageNumber
integer<int32>

Gets the number of the next page if there is one; otherwise, returns the total number of pages.

previousPageNumber
integer<int32>

Gets the number of the previous page. If there is no previous page, it returns 1.